Subject: DateViewHelper property "forceLocale" not passed as boolean
Description

As far as i understand this should check localisationService.
<f:format.date forceLocale="true">{document.dateTime}</f:format.date>

But boolean is not realy passed to \TYPO3\Fluid\Core\ViewHelper\AbstractLocaleAwareViewHelper::getLocale?

History
#1 - 2014-05-20 22:19 - Carsten Bleicker

Results in:
"true" is not a valid locale identifier. (20140520201641f4700c)

#2 - 2014-05-21 10:20 - Bastian Waidelich
- Category set to ViewHelpers
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich

Because the "forceLocale" argument is of type "mixed" there is no type conversion taking place (one reason why we should avoid mixed type hints..).
Try

1<f:format.date forceLocale="{true}">{document.dateTime}</f:format.date>

or

1{document.dateTime -> f:format.date(forceLocale: true)}

#3 - 2014-05-21 15:33 - Carsten Bleicker

Thank you bastian!
It works:
<f:format.date forceLocale="{true}" localeFormatType="date">{dateTime}</f:format.date>

Can you close this issue?
#4 - 2014-05-21 15:43 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

Carsten Bleicker wrote:

Can you close this issue?

Yes, thanks for the feedback ;)
